dnl Process this file with autoconf to produce a configure script.
dnl Make sure that we're in the right directory by looking for byteorder.c
AC_INIT(ipgrab.c)
AC_PROG_INSTALL

dnl get host name and system
AC_CANONICAL_SYSTEM

dnl Checks for C compiler and make
AC_PROG_CC

dnl Check for libpcap
AC_CHECK_LIB(pcap, pcap_lookupdev)

dnl Checks for header files.
AC_HEADER_STDC
AC_CHECK_HEADERS(sys/types.h stdlib.h unistd.h)

dnl Checks for typedefs, structures, and compiler characteristics.
AC_C_CONST
AC_C_BIGENDIAN dnl You'll get a warning from autoconf
AC_TYPE_SIZE_T
AC_CHECK_TYPE(u_int8_t, unsigned char)
AC_CHECK_TYPE(int16_t, short)
AC_CHECK_TYPE(u_int16_t, unsigned short)
AC_CHECK_TYPE(int32_t, int)
AC_CHECK_TYPE(u_int32_t, unsigned int)

dnl Checks for library functions.
AC_CHECK_FUNCS(strdup strerror)

dnl set up config.h
AC_CONFIG_HEADER(config.h)

CFLAGS="$CFLAGS -Wall -Wstrict-prototypes"

dnl Create Makefile from Makefile.in
AC_OUTPUT(Makefile)
